Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.util
Class Variant

    java.lang.Object
      de.grogra.xl.util.Variant

    public final class Variant

extends java.lang.Object

Author:
  Ole Kniemeyer

Constructor Summary
`Variant(boolean value)`
`Variant(double value)`
`Variant(float value)`
`Variant(int value)`
`Variant(long value)`
`Variant(java.lang.Object value)`

Method Summary
`boolean` | `booleanValue()`
`double` | `doubleValue()`
`float` | `floatValue()`
`int` | `intValue()`
`boolean` | `isNull()`
`long` | `longValue()`
`static Variant` | `operator$add(Variant a, Variant b)`
`static Variant` | `operator$div(Variant a, Variant b)`
`static boolean` | `operator$ge(Variant a, Variant b)`
`static boolean` | `operator$gt(Variant a, Variant b)`
`static boolean` | `operator$le(Variant a, Variant b)`
`static boolean` | `operator$lt(Variant a, Variant b)`
`static Variant` | `operator$mul(Variant a, Variant b)`
`static Variant` | `operator$sub(Variant a, Variant b)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Variant

    @ConversionConstructor
    public Variant(boolean value)

### Variant

    @ConversionConstructor
    public Variant(double value)

### Variant

    @ConversionConstructor
    public Variant(float value)

### Variant

    @ConversionConstructor
    public Variant(int value)

### Variant

    @ConversionConstructor
    public Variant(long value)

### Variant

    @ConversionConstructor
    public Variant(java.lang.Object value)

Method Detail

### booleanValue

    public boolean booleanValue()

### doubleValue

    public double doubleValue()

### floatValue

    public float floatValue()

### intValue

    public int intValue()

### isNull

    public boolean isNull()

### longValue

    public long longValue()

### operator$add

    public static Variant operator$add(Variant a,
                                       Variant b)

### operator$div

    public static Variant operator$div(Variant a,
                                       Variant b)

### operator$ge

    public static boolean operator$ge(Variant a,
                                      Variant b)

### operator$gt

    public static boolean operator$gt(Variant a,
                                      Variant b)

### operator$le

    public static boolean operator$le(Variant a,
                                      Variant b)

### operator$lt

    public static boolean operator$lt(Variant a,
                                      Variant b)

### operator$mul

    public static Variant operator$mul(Variant a,
                                       Variant b)

### operator$sub

    public static Variant operator$sub(Variant a,
                                       Variant b)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD